id: io.gitlab.christianpauly.umastodon
runtime: com.ubports.Platform
runtime-version: '5.15-23.08'
base: io.qt.qtwebengine.BaseApp
base-version: '5.15-21.08'
sdk: com.ubports.Sdk
command: umastodon
rename-desktop-file: umastodon.desktop
rename-icon: logo
finish-args:
  - --share=ipc
  - --share=network
  - --socket=x11
  - --socket=wayland
  - --device=dri
separate-locales: false
modules:
  - name: umastodon
    buildsystem: simple
    build-commands:
      - mkdir -p $FLATPAK_DEST/share/icons/hicolor/scalable/apps $FLATPAK_DEST/bin $FLATPAK_DEST/share/applications
      - install -Dm644 umastodon.desktop $FLATPAK_DEST/share/applications
      - install -Dm644 assets/logo.svg $FLATPAK_DEST/share/icons/hicolor/scalable/apps/
      - sed -i 's,assets/logo.svg,logo,g' $FLATPAK_DEST/share/applications/umastodon.desktop
      - sed -i 's,qmlscene qml/Main.qml,umastodon,g' $FLATPAK_DEST/share/applications/umastodon.desktop
      - install -Dm755 umastodon $FLATPAK_DEST/bin/
      - cp -r qml/ $FLATPAK_DEST/share/
      # qmlscene is not part of the platform
      - install -Dm755 /usr/bin/qmlscene /app/bin
    sources:
      - type: file
        url: https://open-store.io/api/v3/apps/umastodon.christianpauly/download/xenial/all
        sha256: cb11cdefd1cd0b3b6e9772a410d3068a3dfc77ffbcb0403cdceda6fcd1fdce7c
      - type: shell
        commands:
          - ar x all
          - rm -f all.click
          - tar -xf data.tar.gz
          - rm -f control.tar.gz data.tar.gz debian-binary
      - type: script
        dest-filename: umastodon
        commands:
          - qmlscene /app/share/qml/Main.qml
